#!/bin/bash

#Arbeitsverzeichnis fuer crontab
PFAD=$2
if [ "$PFAD" != "" ]
then

cd $PFAD

fi
#Umgebung einlesen:
if [ "$XCUBE_PFAD" = "" ]
then
echo "ACHTUNG: Die Umgebungsvariable XCUBE_PFAD ist nicht gesetzt. Bitte prüfen Sie $SUPERX_DIR/db/bin/SQL_ENV"

exit 1

fi
if [ "$XCUBE_ERRORMAIL" != "" ]
then
ERRORMAIL=$SOS_ERRORMAIL
export ERRORMAIL
fi
if [ "$XCUBE_LOGMAIL" != "" ]
then
LOGMAIL=$SOS_LOGMAIL
export LOGMAIL
fi
if [ "$XCUBE_BACKUP" != "" ]
then
MODULE_BACKUP=$SOS_BACKUP
export MODULE_BACKUP
fi
#hier geht es los
#runAndCheck.x path command (EXIT_ON_ERROR|CONT_ON_ERROR) (SEND_ERRORMAIL|NO_ERRORMAIL) (SEND_LOGMAIL|NO_LOGMAIL) [description] "
echo "xcube-Update startet" >$XCUBE_ERRORDAT
runAndCheck.x $XCUBE_PFAD "module_etl.x xcube $XCUBE_PFAD $XCUBE_LOAD_PFAD" EXIT_ON_ERROR SEND_ERRORMAIL SEND_LOGMAIL "XCUBE update$MANDANTID"

echo "---------------------------Beginn Prüfroutine-----------------------------------" >>$XCUBE_ERRORDAT
cat $XCUBE_PFAD/L_XCUBE_update$MANDANTID.log >>$XCUBE_ERRORDAT

pruefmail.x $XCUBE_PFAD/L_xcube_Test$MANDANTID.log $ERRORMAIL



